property whichevent, WhichSound, WhichChannel, StartImmediately, tester

on initPlayMember me
  init(me)
end

on mouseUp me
  if whichevent = #mouseUp then
    init(me)
  end if
end

on mouseDown me
  if whichevent = #mouseDown then
    init(me)
  end if
end

on prepareFrame me
  if whichevent = #prepareFrame then
    init(me)
  end if
end

on enterFrame me
  if whichevent = #enterFrame then
    init(me)
  end if
end

on exitFrame me
  if whichevent = #exitFrame then
    init(me)
  end if
end

on init me
  puppetSound(me.WhichChannel, me.WhichSound)
  if me.StartImmediately then
    updateStage()
  end if
end

on getPropertyDescriptionList
  p_list = [#WhichSound: [#comment: "Sound:", #format: #sound, #default: EMPTY], #WhichChannel: [#comment: "Channel:", #format: #integer, #default: 1], #whichevent: [#comment: "Initializing Event:", #format: #symbol, #range: [#mouseUp, #mouseDown, #prepareFrame, #enterFrame, #exitFrame, #initPlayMember], #default: #mouseUp]]
  return p_list
end

on getBehaviorDescription
  return "Plays the designated sound cast member when the specified event occurs, or when the message ." & RETURN & "PARAMETERS:" & RETURN & "• Sound - Choose the sound cast member to be played." & RETURN & "• Channel - Enter the sound channel number to be used for playback." & RETURN & "• Initializing Event - Specify the event that triggers the behavior."
end
